Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.gantt
Interface GanttCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, IntervalCategoryDataset, KeyedValues2D, Values2D

All Known Implementing Classes:
  TaskSeriesCollection

public interface GanttCategoryDataset
extends IntervalCategoryDataset

An extension of the `IntervalCategoryDataset` interface that adds support for multiple sub-intervals.

Method Summary
`java.lang.Number` | `getEndValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the end value of a sub-interval for a given item.
`java.lang.Number` | `getEndValue(int row, int column, int subinterval)` Returns the end value of a sub-interval for a given item.
`java.lang.Number` | `getPercentComplete(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the percent complete for a given item.
`java.lang.Number` | `getPercentComplete(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the percentage complete value of a sub-interval for a given item.
`java.lang.Number` | `getPercentComplete(int row, int column)` Returns the percent complete for a given item.
`java.lang.Number` | `getPercentComplete(int row, int column, int subinterval)` Returns the percentage complete value of a sub-interval for a given item.
`java.lang.Number` | `getStartValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey, int subinterval)` Returns the start value of a sub-interval for a given item.
`java.lang.Number` | `getStartValue(int row, int column, int subinterval)` Returns the start value of a sub-interval for a given item.
`int` | `getSubIntervalCount(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the number of sub-intervals for a given item.
`int` | `getSubIntervalCount(int row, int column)` Returns the number of sub-intervals for a given item.

Methods inherited from interface org.jfree.data.IntervalCategoryDataset
`getEndValue, getEndValue, getStartValue, getStartValue`

Methods inherited from interface org.jfree.data.KeyedValues2D
`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getPercentComplete

    public java.lang.Number getPercentComplete(int row,
                                               int column)

  Returns the percent complete for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The percent complete.

### getPercentComplete

    public java.lang.Number getPercentComplete(java.lang.Comparable rowKey,
                                               java.lang.Comparable columnKey)

  Returns the percent complete for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The percent complete.

### getSubIntervalCount

    public int getSubIntervalCount(int row,
                                   int column)

  Returns the number of sub-intervals for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    the sub-interval count.

### getSubIntervalCount

    public int getSubIntervalCount(java.lang.Comparable rowKey,
                                   java.lang.Comparable columnKey)

  Returns the number of sub-intervals for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    the sub-interval count.

### getStartValue

    public java.lang.Number getStartValue(int row,
                                          int column,
                                          int subinterval)

  Returns the start value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval index (zero-based).
  Returns:
    the start value (possibly `null`).

### getStartValue

    public java.lang.Number getStartValue(java.lang.Comparable rowKey,
                                          java.lang.Comparable columnKey,
                                          int subinterval)

  Returns the start value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    the start value (possibly `null`).

### getEndValue

    public java.lang.Number getEndValue(int row,
                                        int column,
                                        int subinterval)

  Returns the end value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval.
  Returns:
    the end value (possibly `null`).

### getEndValue

    public java.lang.Number getEndValue(java.lang.Comparable rowKey,
                                        java.lang.Comparable columnKey,
                                        int subinterval)

  Returns the end value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    the end value (possibly `null`).

### getPercentComplete

    public java.lang.Number getPercentComplete(int row,
                                               int column,
                                               int subinterval)

  Returns the percentage complete value of a sub-interval for a given item.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
    `subinterval` - the sub-interval.
  Returns:
    The percent complete value (possibly `null`).

### getPercentComplete

    public java.lang.Number getPercentComplete(java.lang.Comparable rowKey,
                                               java.lang.Comparable columnKey,
                                               int subinterval)

  Returns the percentage complete value of a sub-interval for a given item.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
    `subinterval` - the sub-interval.
  Returns:
    The precent complete value (possibly `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD